Index: LMDZ6/trunk/libf/phylmd/fisrtilp.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/fisrtilp.F90	(revision 4650)
+++ LMDZ6/trunk/libf/phylmd/fisrtilp.F90	(revision 4651)
@@ -14,5 +14,5 @@
   USE icefrac_lsc_mod ! compute ice fraction (JBM 3/14)
   USE print_control_mod, ONLY: prt_level, lunout
-  USE cloudth_mod 
+  USE lmdz_cloudth, only : cloudth, cloudth_v3, cloudth_v6
   USE ioipsl_getin_p_mod, ONLY : getin_p
   USE phys_local_var_mod, ONLY: ql_seri,qs_seri
@@ -25,4 +25,7 @@
   USE lscp_ini_mod, ONLY: cld_tau_lsc, cld_tau_con, cld_lc_lsc, cld_lc_con
   USE lscp_ini_mod, ONLY: reevap_ice, iflag_bergeron, iflag_fisrtilp_qsat, iflag_pdf 
+      use phys_output_var_mod, ONLY : cloudth_sth,cloudth_senv
+      use phys_output_var_mod, ONLY : cloudth_sigmath,cloudth_sigmaenv
+
 
 
@@ -849,10 +852,13 @@
                    zq,zqta,fraca, &
                    qcloud,ctot,zpspsk,paprs,pplay,ztla,zthl, &
-                   ratqs,zqs,t)
+                   ratqs,zqs,t, &
+                   cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
+
               elseif (iflag_cloudth_vert>=3 .and. iflag_cloudth_vert<=5) then
                call cloudth_v3(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
                    qcloud,ctot,ctot_vol,zpspsk,paprs,pplay,ztla,zthl, &
-                   ratqs,zqs,t)
+                   ratqs,zqs,t, &
+                   cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
               !----------------------------------
               !Version these Jean Jouhaud, Decembre 2018 
@@ -862,5 +868,6 @@
                    zq,zqta,fraca, &
                    qcloud,ctot,ctot_vol,zpspsk,paprs,pplay,ztla,zthl, &
-                   ratqs,zqs,t)
+                   ratqs,zqs,t, &
+                   cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
               endif
